Get the overall dashboard for authorized partner tenants.
curl --request GET \
--url https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"root_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenants": [
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_host": "<string>",
"name": "<string>",
"kind": "<string>",
"status": "<string>",
"parent_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depth": 123,
"industry_id": 123,
"industry_name": "<string>",
"tags": [
"<string>"
],
"asset_count": 123,
"endpoint_count": 123,
"network_asset_count": 123,
"open_finding_count": 123,
"open_critical_count": 123,
"open_high_count": 123,
"open_medium_count": 123,
"open_low_count": 123,
"affected_asset_count": 123,
"remediated_30d_count": 123,
"overall": {
"score": 123,
"grade": "<string>",
"scores_as_of": "2023-11-07T05:31:56Z"
},
"vulnerability": {
"score": 123,
"grade": "<string>",
"scores_as_of": "2023-11-07T05:31:56Z"
},
"secure_baseline": {
"score": 123,
"grade": "<string>",
"scores_as_of": "2023-11-07T05:31:56Z"
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Reporting
Get the overall dashboard for authorized partner tenants.
This endpoint returns one row per tenant in the authorized partner’s tenant scope: where the tenant sits in the hierarchy, its industry and tags, its asset and finding counts, and its current scores and grades.
Notes:
tenant_ids(optional, comma-separated) restricts results to specific tenants.- A grade is
nulluntil the tenant has been scored for it.
Required headers:
Authorization: Bearer {token}(requires thepulse.readscope)
GET
/
pulse
/
v1
/
partner
/
dashboards
/
overall
Get the overall dashboard for authorized partner tenants.
curl --request GET \
--url https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/overall")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"root_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenants": [
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_host": "<string>",
"name": "<string>",
"kind": "<string>",
"status": "<string>",
"parent_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depth": 123,
"industry_id": 123,
"industry_name": "<string>",
"tags": [
"<string>"
],
"asset_count": 123,
"endpoint_count": 123,
"network_asset_count": 123,
"open_finding_count": 123,
"open_critical_count": 123,
"open_high_count": 123,
"open_medium_count": 123,
"open_low_count": 123,
"affected_asset_count": 123,
"remediated_30d_count": 123,
"overall": {
"score": 123,
"grade": "<string>",
"scores_as_of": "2023-11-07T05:31:56Z"
},
"vulnerability": {
"score": 123,
"grade": "<string>",
"scores_as_of": "2023-11-07T05:31:56Z"
},
"secure_baseline": {
"score": 123,
"grade": "<string>",
"scores_as_of": "2023-11-07T05:31:56Z"
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
A machine-client token from POST /v1/auth/client-token, carrying subject_type=machine_client and the pulse.read scope.
Query Parameters
Comma-separated tenant ids to read. Every id must be inside the caller's authorized scope, otherwise 403 tenant_out_of_scope. Omit it to read every authorized tenant.
Response
One row per covered tenant.
